
QGIS Application - Bug report #6703

Vector transparency is not reported consistently

2012-11-15 06:45 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15868

Description

- Style a vector layer using the rule based renderer

- Right-click on a rule, click "Change transparency", and set it to 20%

- Right-click on the rule and click "Change transparency" again.  It will still say 20%.

- Double-click on the rule.  The "rule properties" dialog will say the transparency is 19%!

- Adjust the slider so that it says the transparency is 19%.  Close the dialog.

- Right-click on the rule and click "Change transparency" again.  It will (probably) say 19%.

I have no idea if this is something that can be "fixed", and I don't believe there is any practical difference between 19% and 20%

transparency, but it would be nice if the numbers reported in the two dialogs were consistent.

History

#1 - 2012-11-16 12:38 AM - Alister Hood

Also tested in 1.8

#2 - 2015-11-11 03:37 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Hello, bug triage...

I can't reproduce it on QGIS 2.12 and master. Transparency value is always as previously set.

I am closing this bug...
